/*****************************/
/* Inside The Machine - MKS  */
/*****************************/

//Waypoint entity File
#ifndef _EWAYPOINT_H
#define _EWAYPOINT_H

//Includes
#include "Entity.h"
#include "../µsprite.h"

//Defines

//Paramčtres du waypoint
// TYPE : static
// p1 et p2 : 
// Autres : 

class eWaypoint : public CEntity
{
   public:
   	eWaypoint();
   	virtual ~eWaypoint();
   	virtual void Draw(int layer);
	   virtual void Update();
	   virtual void Destroy();
	   virtual void Load();
	   virtual void CheckInteractions();
	   
	public:
	   CSprite spr;
	   bool active;
	   
};
#endif
